Bug 441081 - No support for bonding or vlan tagging in iptraf
No support for bonding or vlan tagging in iptraf
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iptraf (Show other bugs)
5.1
All Linux
high Severity medium
: rc
: ---
Assigned To: Nikola Pajkovsky
BaseOS QE Security Team
: FutureFeature
Depends On:
Blocks: 719046 668957
  Show dependency treegraph
 
Reported: 2008-04-05 17:52 EDT by Javier de Miguel Rodríguez
Modified: 2014-02-02 17:13 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 15:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
src.rpm of iptraf (577.04 KB, application/x-rpm)
2008-05-07 04:17 EDT, Zdenek Prikryl
no flags Details

  None (edit)
Description Javier de Miguel Rodríguez 2008-04-05 17:52:51 EDT
Description of problem:

Iptraf does NOT support bonding interfaces (bond0,bond1...) or vlan tagged
interfaces (eth0.4, bond0.5). 


Version-Release number of selected component (if applicable):

iptraf shipped with rhel 5

How reproducible:

Configure bond intefaces or bond interface. Launch iptraf.

Steps to Reproduce:
1.
2.
3.
  
Actual results:



Expected results:


Additional info:

I do not know if this is a feature request or a bug: I think that iptraf is a
terrific tool but is useless in certain enterprise scenarios (bonding, vlan
tagging, etc).
Comment 1 Zdenek Prikryl 2008-05-07 04:17:05 EDT
Created attachment 304745 [details]
src.rpm of iptraf

Hello,
I tried to fix VLAN support and add BOND support. But I do not have access to a
real environment to test it. So, could you please build a package from src.rpm
in the attachment and test it? Thanks.
Comment 2 john.haxby@oracle.com 2010-01-13 11:12:44 EST
In the absense of the original reporter confirming anything, I've tested this.

I can confirm that both vlan and bonded interface work.  If you have any specific tests you'd like run, please let me know.

Can we have this shipped with RHEL5 now please?
Comment 3 Nikola Pajkovsky 2010-01-13 11:26:25 EST
I have to wait for pm_ack+ or rhel-5.6.0+. Maybe it will comes with next update.
Comment 4 RHEL Product and Program Management 2010-01-13 11:29:31 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 RHEL Product and Program Management 2010-08-09 14:18:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 9 Wolfram Schlich (LVM) 2010-09-30 07:22:06 EDT
iptraf does also not support bridge interfaces like br* and xenbr*.
will ask our TAM to push this.
Comment 15 RHEL Product and Program Management 2011-05-31 10:09:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 18 Larry Troan 2012-04-24 15:41:58 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. 

Unfortunately, future updates of Red Hat Enterprise Linux 5 will have limited new features. Red Hat has reviewed this request and does not plan to consider implementing it at this point in the RHEL5 development cycle. I'm therefore closing this request as WONTFIX for RHEL5.

If you wish this request to be considered for RHEL6 or RHEL7, please reopen or clone this request against one or both of those releases.
Comment 19 Nikola Pajkovsky 2012-04-25 04:10:50 EDT
I'm going to build iptraf-ng for rhel5 in epel and all should be working out of the box.

Note You need to log in before you can comment on or make changes to this bug.